import { r as registerInstance, h } from './core-8e73947d.js';
var NotifierTest = /** @class */ (function () {
    function NotifierTest(hostRef) {
        registerInstance(this, hostRef);
        this.notice = { type: "warning", message: "This is a warning notice." };
    }
    NotifierTest.prototype.render = function () {
        return [
            h("smoothly-notifier", { notice: this.notice })
        ];
    };
    Object.defineProperty(NotifierTest, "style", {
        get: function () { return ".sc-smoothly-notifier-test-h{display:block}[hidden].sc-smoothly-notifier-test-h{display:none}"; },
        enumerable: true,
        configurable: true
    });
    return NotifierTest;
}());
export { NotifierTest as smoothly_notifier_test };
